%define upstream_name HTML_Select
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.3.1
Release:     	%mkrel 5
Summary:    	HTML_Select is a class for generating HTML form select elements
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_Select-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_Select
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_Common >= 1.1
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
HTML_Select provides an OOP way of generating HTML form select elements.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Select.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Select.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Select
fi

%files
%doc docs/HTML_Select/*
%{peardir}/*
%{xmldir}/HTML_Select.xml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-5.mga5
+ Revision: 742833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 687281
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.1-3.mga4
+ Revision: 516846
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 376254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 1.3.1-1.mga2
+ Revision: 219547
- upgrade to 1.3.1
  pearized spec

* Mon Jan 24 2011 ennael <ennael> 1.3.0-2.mga1
+ Revision: 35747
- remove mdkversion
- imported package php-pear-HTML_Select


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2011.0
+ Revision: 613679
- the mass rebuild of 2010.1 packages

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 508989
- update to new version 1.3.0

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-10mdv2010.1
+ Revision: 478092
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-9mdv2010.0
+ Revision: 446486
- rebuild for missing binary

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.2.1-8mdv2010.0
+ Revision: 441178
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-7mdv2009.1
+ Revision: 322120
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-6mdv2009.0
+ Revision: 236879
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2008.1
+ Revision: 171040
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-4mdv2008.0
+ Revision: 78154
- fix URL, and stop obsoleting itself

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-3mdv2008.0
+ Revision: 77684
- rebuild


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-2mdv2007.1
+ Revision: 121035
- rebuild

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 81657
- Import php-pear-HTML_Select

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2007.0
- first mdv release

